summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGunnar Wrobel <wrobel@gentoo.org>2005-03-11 07:58:04 +0000
committerGunnar Wrobel <wrobel@gentoo.org>2005-03-11 07:58:04 +0000
commit1e0e523fe18ca1f99e16fe419dcde90f557a63c0 (patch)
treedf2dcb7acdd0f780ea82c3c5b4c0825394da8265 /dev-java/jdbm
parentFixed qingy theme ebuild (diff)
downloadoverlay-1e0e523fe18ca1f99e16fe419dcde90f557a63c0.tar.gz
overlay-1e0e523fe18ca1f99e16fe419dcde90f557a63c0.tar.bz2
overlay-1e0e523fe18ca1f99e16fe419dcde90f557a63c0.zip
Starting on fuse-j ebuild
svn path=/; revision=100
Diffstat (limited to 'dev-java/jdbm')
-rw-r--r--dev-java/jdbm/Manifest6
-rw-r--r--dev-java/jdbm/files/digest-jdbm-0.121
-rw-r--r--dev-java/jdbm/files/digest-jdbm-0.200
-rw-r--r--dev-java/jdbm/files/jdbm-0.12-build-fix.patch22
-rw-r--r--dev-java/jdbm/files/jdbm-0.20-build-fix.patch21
-rw-r--r--dev-java/jdbm/jdbm-0.12.ebuild42
-rw-r--r--dev-java/jdbm/jdbm-0.20.ebuild44
7 files changed, 136 insertions, 0 deletions
diff --git a/dev-java/jdbm/Manifest b/dev-java/jdbm/Manifest
new file mode 100644
index 0000000..74fc639
--- /dev/null
+++ b/dev-java/jdbm/Manifest
@@ -0,0 +1,6 @@
+MD5 641dba1a31742ad65c82c759adb81786 jdbm-0.20.ebuild 884
+MD5 7872b1d382eac7bd86c0b7a181374d31 jdbm-0.12.ebuild 819
+MD5 57b7dab33b91bca8725afefd987ed6dd files/jdbm-0.12-build-fix.patch 816
+MD5 cdc880fb1002d9e6832ae598f4398b16 files/digest-jdbm-0.12 62
+MD5 d41d8cd98f00b204e9800998ecf8427e files/digest-jdbm-0.20 0
+MD5 beba8a19feb7377460e668cb4df6fe0e files/jdbm-0.20-build-fix.patch 882
diff --git a/dev-java/jdbm/files/digest-jdbm-0.12 b/dev-java/jdbm/files/digest-jdbm-0.12
new file mode 100644
index 0000000..307eddb
--- /dev/null
+++ b/dev-java/jdbm/files/digest-jdbm-0.12
@@ -0,0 +1 @@
+MD5 361029bc721dd063cc12a8ebee1c5c6f jdbm-0.12-src.zip 969490
diff --git a/dev-java/jdbm/files/digest-jdbm-0.20 b/dev-java/jdbm/files/digest-jdbm-0.20
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/dev-java/jdbm/files/digest-jdbm-0.20
diff --git a/dev-java/jdbm/files/jdbm-0.12-build-fix.patch b/dev-java/jdbm/files/jdbm-0.12-build-fix.patch
new file mode 100644
index 0000000..8c1d889
--- /dev/null
+++ b/dev-java/jdbm/files/jdbm-0.12-build-fix.patch
@@ -0,0 +1,22 @@
+--- build.xml.old 2005-02-06 00:16:01.000000000 +0100
++++ build.xml 2005-02-06 00:22:32.000000000 +0100
+@@ -1,8 +1,7 @@
+ <project name="JDBM" default="main" basedir=".">
+
+- <target name="init">
+ <property name="project" value="jdbm" />
+- <property name="source" value="./src" />
++ <property name="source" value="." />
+ <property name="main" value="${source}/main" />
+ <property name="etc" value="${source}/etc" />
+ <property name="build" value="build" />
+@@ -16,8 +15,8 @@
+ <property name="build.compiler" value="classic" />
+ <property name="deprecation" value="true" />
+ <property file="VERSION" />
++ <property name="version" value="0.12" />
+ <property name="archive" value="${project}-${version}" />
+- </target>
+
+
+ <!-- Display all the targets -->
diff --git a/dev-java/jdbm/files/jdbm-0.20-build-fix.patch b/dev-java/jdbm/files/jdbm-0.20-build-fix.patch
new file mode 100644
index 0000000..3b91a3e
--- /dev/null
+++ b/dev-java/jdbm/files/jdbm-0.20-build-fix.patch
@@ -0,0 +1,21 @@
+--- build.xml.old 2005-02-06 12:19:42.731700016 +0100
++++ build.xml 2005-02-06 12:21:37.155304984 +0100
+@@ -3,7 +3,7 @@
+
+ <target name="init">
+ <property name="project" value="jdbm" />
+- <property name="source" value="./src" />
++ <property name="source" value="./jdbm" />
+ <property name="main" value="${source}/main" />
+ <property name="etc" value="${source}/etc" />
+ <property name="build" value="build" />
+@@ -16,8 +16,7 @@
+ <property name="classpath" value="${classpath}:${classes}" />
+ <property name="build.compiler" value="modern" />
+ <property name="deprecation" value="true" />
+- <property file="VERSION" />
+- <property name="version" value="unspecified" description="default value; should never happen"/>
++ <property name="version" value="0.20" />
+ <property name="archive" value="${project}-${version}" />
+ </target>
+
diff --git a/dev-java/jdbm/jdbm-0.12.ebuild b/dev-java/jdbm/jdbm-0.12.ebuild
new file mode 100644
index 0000000..dea533a
--- /dev/null
+++ b/dev-java/jdbm/jdbm-0.12.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+inherit eutils java-pkg
+
+MY_P="${PN}-${PV}-src.zip"
+
+DESCRIPTION="JDBM is a transactional persistence engine for Java. It aims to be for Java what GDBM is for other languages (C/C++, Python, Perl, etc.): a fast, simple persistence engine."
+HOMEPAGE="http://jdbm.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}"
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~x86"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.4"
+
+DEPEND="
+>=virtual/jdk-1.4
+"
+
+src_unpack() {
+
+ unpack ${MY_P}
+ cd ${S}/src
+
+ ## Fixes some problems in the ant build.xml
+ epatch ${FILESDIR}/jdbm-0.12-build-fix.patch
+
+
+}
+
+src_compile() {
+ cd ${S}/src
+ ant all || die "Compilation failed!"
+}
+
+src_install() {
+
+ java-pkg_dojar ${S}/src/dist/${PN}-${PV}.jar
+
+}
diff --git a/dev-java/jdbm/jdbm-0.20.ebuild b/dev-java/jdbm/jdbm-0.20.ebuild
new file mode 100644
index 0000000..a87e18a
--- /dev/null
+++ b/dev-java/jdbm/jdbm-0.20.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+inherit eutils cvs java-pkg
+
+DESCRIPTION="JDBM is a transactional persistence engine for Java. It aims to be for Java what GDBM is for other languages (C/C++, Python, Perl, etc.): a fast, simple persistence engine."
+HOMEPAGE="http://jdbm.sourceforge.net/"
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~x86"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.4"
+
+DEPEND="
+>=virtual/jdk-1.4
+"
+
+ECVS_LOCALNAME="jdbm"
+ECVS_SERVER="cvs.sourceforge.net:/cvsroot/jdbm"
+ECVS_MODULE="jdbm/src"
+ECVS_USER="anonymous"
+
+src_unpack() {
+
+ cvs_src_unpack
+
+ cd ${WORKDIR}/${PN}
+
+ ## Fixes some problems in the ant build.xml
+ epatch ${FILESDIR}/jdbm-0.20-build-fix.patch
+
+}
+
+src_compile() {
+ cd ${WORKDIR}/${PN}
+ ant all || die "Compilation failed!"
+}
+
+src_install() {
+
+ java-pkg_dojar ${WORKDIR}/dist/${PN}-${PV}.jar
+
+}